version: '3'
services:
  web:
    container_name: "express-starter"
    build: .
    ports:
      - "8081:8081"
    environment:
      - MONGODB_URI=mongodb://mongo:27017/express-mongo-db
      - MONGODB_HOST=mongo
      - MONGODB_PORT=27017
      - MONGODB_NAME=express-mongo-db
    links:
      - mongo
    depends_on:
      - mongo
    networks:
      - expressjs
    volumes:
      - ./:/home/node/webapp/
  mongo:
    image: mongo:3.6
    ports:
      - "27017:27017"
    networks:
      - expressjs
    restart: always
networks:
  expressjs:
    external: true
